<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>Board</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Board";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../quarto/Cell.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">quarto</div>
<h2 title="Class Board" class="title">Class Board</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>quarto.Board</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Board</span>
extends java.lang.Object</pre>
<div class="block">The Board class represents a game board which is a 2D
 array of cells. Has the ability to place and remove pieces
 and clear the board.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>10/03/16</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kyle Hekhuis</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../quarto/Cell.html" title="class in quarto">Cell</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#board">board</a></span></code>
<div class="block">2D array of cells making up the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#columns">columns</a></span></code>
<div class="block">Amount of columns in the board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#rows">rows</a></span></code>
<div class="block">Amount of rows in the board.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/Board.html#Board-int-int-">Board</a></span>(int&nbsp;pRows,
     int&nbsp;pColumns)</code>
<div class="block">Instantiates a Board whose size is given by
 the row and column sizes passed to it.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private <a href="../quarto/Cell.html" title="class in quarto">Cell</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#buildBoard-int-int-">buildBoard</a></span>(int&nbsp;pRows,
          int&nbsp;pColumns)</code>
<div class="block">Builds the game board by instantiating all the cells.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#clearBoard--">clearBoard</a></span>()</code>
<div class="block">Clears the board by using the removePiece() method on
 all the cells in the board.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../quarto/Board.html" title="class in quarto">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#cloneBoard--">cloneBoard</a></span>()</code>
<div class="block">Clones the board.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../quarto/Cell.html" title="class in quarto">Cell</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#getBoard--">getBoard</a></span>()</code>
<div class="block">Returns this board object.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.List&lt;java.lang.Integer&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#getEmptyCells--">getEmptyCells</a></span>()</code>
<div class="block">Loops through board array, and constructs an ArrayList of the row
 and column numbers of the empty cells in the board.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#placePiece-quarto.Piece-int-int-">placePiece</a></span>(<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;piece,
          int&nbsp;row,
          int&nbsp;column)</code>
<div class="block">Places a piece on a certain spot on the board.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#removePiece-int-int-">removePiece</a></span>(int&nbsp;row,
           int&nbsp;column)</code>
<div class="block">Removes the piece in the cell located Cell[row][column].</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Board.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="board">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>board</h4>
<pre>private&nbsp;<a href="../quarto/Cell.html" title="class in quarto">Cell</a>[][] board</pre>
<div class="block">2D array of cells making up the board.</div>
</li>
</ul>
<a name="rows">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rows</h4>
<pre>private&nbsp;int rows</pre>
<div class="block">Amount of rows in the board.</div>
</li>
</ul>
<a name="columns">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>columns</h4>
<pre>private&nbsp;int columns</pre>
<div class="block">Amount of columns in the board.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Board-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Board</h4>
<pre>public&nbsp;Board(int&nbsp;pRows,
             int&nbsp;pColumns)</pre>
<div class="block">Instantiates a Board whose size is given by
 the row and column sizes passed to it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pRows</code> - amount of rows the board has</dd>
<dd><code>pColumns</code> - amount of columns the board has</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="buildBoard-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildBoard</h4>
<pre>private&nbsp;<a href="../quarto/Cell.html" title="class in quarto">Cell</a>[][]&nbsp;buildBoard(int&nbsp;pRows,
                            int&nbsp;pColumns)</pre>
<div class="block">Builds the game board by instantiating all the cells.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pRows</code> - amount of rows the board has</dd>
<dd><code>pColumns</code> - amount of columns the board has</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Cell[][] with all the instantiated cells</dd>
</dl>
</li>
</ul>
<a name="placePiece-quarto.Piece-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>placePiece</h4>
<pre>public&nbsp;boolean&nbsp;placePiece(<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&nbsp;piece,
                          int&nbsp;row,
                          int&nbsp;column)</pre>
<div class="block">Places a piece on a certain spot on the board.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>piece</code> - piece to be placed on board</dd>
<dd><code>row</code> - row to place the piece into</dd>
<dd><code>column</code> - column to place the piece into</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if piece was placed successfully</dd>
</dl>
</li>
</ul>
<a name="removePiece-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removePiece</h4>
<pre>public&nbsp;void&nbsp;removePiece(int&nbsp;row,
                        int&nbsp;column)</pre>
<div class="block">Removes the piece in the cell located Cell[row][column].</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>row</code> - row the piece is located in</dd>
<dd><code>column</code> - column the piece is located in</dd>
</dl>
</li>
</ul>
<a name="clearBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearBoard</h4>
<pre>public&nbsp;void&nbsp;clearBoard()</pre>
<div class="block">Clears the board by using the removePiece() method on
 all the cells in the board.</div>
</li>
</ul>
<a name="getEmptyCells--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmptyCells</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.List&lt;java.lang.Integer&gt;&gt;&nbsp;getEmptyCells()</pre>
<div class="block">Loops through board array, and constructs an ArrayList of the row
 and column numbers of the empty cells in the board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an ArrayList<List<Integer>> object, containing the rows
 and corresponding columns of empty cells in the game board.
 list.get(0) contains the row numbers, list.get(1) contains the
 column numbers</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../quarto/Cell.html" title="class in quarto">Cell</a>[][]&nbsp;getBoard()</pre>
<div class="block">Returns this board object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the 2-D array of cells representing the current state of
 the board.</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="cloneBoard--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cloneBoard</h4>
<pre>public&nbsp;<a href="../quarto/Board.html" title="class in quarto">Board</a>&nbsp;cloneBoard()</pre>
<div class="block">Clones the board.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>clone of the board</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../quarto/Cell.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
